OGRE: Ogre::D3D9VideoMode Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::D3D9VideoMode Class Reference

`#include <OgreD3D9VideoMode.h>`

## Public Member Functions
| D3D9VideoMode ()
| D3D9VideoMode (const D3D9VideoMode &ob)
| D3D9VideoMode (D3DDISPLAYMODE d3ddm)
| ~D3D9VideoMode ()
unsigned int | getColourDepth () const
String | getDescription () const
D3DDISPLAYMODE | getDisplayMode () const
D3DFORMAT | getFormat () const
unsigned int | getHeight () const
unsigned int | getRefreshRate () const
unsigned int | getWidth () const
void | increaseRefreshRate (unsigned int rr)

## Constructor & Destructor Documentation

## ◆ D3D9VideoMode() [1/3]

Ogre::D3D9VideoMode::D3D9VideoMode | ( |  | ) |
| inline

References Ogre::modeCount.

## ◆ D3D9VideoMode() [2/3]

Ogre::D3D9VideoMode::D3D9VideoMode | ( | const D3D9VideoMode & | ob | ) |
| inline

References Ogre::modeCount.

## ◆ D3D9VideoMode() [3/3]

Ogre::D3D9VideoMode::D3D9VideoMode | ( | D3DDISPLAYMODE | d3ddm | ) |
| inline

References Ogre::modeCount.

## ◆ ~D3D9VideoMode()

Ogre::D3D9VideoMode::~D3D9VideoMode | ( |  | ) |
| inline

References Ogre::modeCount.

## Member Function Documentation

## ◆ getColourDepth()

unsigned int Ogre::D3D9VideoMode::getColourDepth | ( |  | ) | const

## ◆ getDescription()

String Ogre::D3D9VideoMode::getDescription | ( |  | ) | const

## ◆ getDisplayMode()

D3DDISPLAYMODE Ogre::D3D9VideoMode::getDisplayMode | ( |  | ) | const
| inline

## ◆ getFormat()

D3DFORMAT Ogre::D3D9VideoMode::getFormat | ( |  | ) | const
| inline

## ◆ getHeight()

unsigned int Ogre::D3D9VideoMode::getHeight | ( |  | ) | const
| inline

## ◆ getRefreshRate()

unsigned int Ogre::D3D9VideoMode::getRefreshRate | ( |  | ) | const
| inline

## ◆ getWidth()

unsigned int Ogre::D3D9VideoMode::getWidth | ( |  | ) | const
| inline

## ◆ increaseRefreshRate()

void Ogre::D3D9VideoMode::increaseRefreshRate | ( | unsigned int | rr | ) |
| inline

The documentation for this class was generated from the following file:

- OgreD3D9VideoMode.h